Package wx :: Package lib :: Package mixins :: Module inspection :: Class InspectionMixin

[frames | no frames]

## Type InspectionMixin

    object --+
             |
            InspectionMixin

Known Subclasses:
  `InspectableApp`

This class is intended to be used as a mix-in with the wx.App class. When used it will add the ability to popup a InspectionFrame window where the widget under the mouse cursor will be selected in the tree and loaded into the shell's namespace as 'obj'. The default key sequence to activate the inspector is Ctrl-Alt-I (or Cmd-Alt-I on Mac) but this can be changed via parameters to the `Init` method, or the application can call `ShowInspectionTool` from other event handlers if desired.

To use this class simply derive a class from wx.App and InspectionMixin and then call the `Init` method from the app's OnInit.

Method Summary
| ``Init`(self, pos, size, config, locals, alt, cmd, shift, keyCode)` Make the event binding that will activate the InspectionFrame window.
| ``ShowInspectionTool`(self)` Show the Inspection tool, creating it if neccesary, setting it to display the widget under the cursor.

Method Details

### Init(self, pos=wx.Point(-1, -1), size=wx.Size(850, 700), config=None, locals=None, alt=True, cmd=True, shift=False, keyCode=73)

Make the event binding that will activate the InspectionFrame window.

### ShowInspectionTool(self)

Show the Inspection tool, creating it if neccesary, setting it to display the widget under the cursor.

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:10:57 2007 | http://epydoc.sf.net